#
# spec file for package blasphemer
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           blasphemer
Version:        0.1.8
Release:        1.4
Summary:        Replacement game files for Heretic game engines
License:        BSD-3-Clause
Group:          Amusements/Games/3D/Shoot
URL:            https://github.com/Blasphemer
Source:         https://github.com/Blasphemer/blasphemer/releases/download/v%{version}/blasphem-%{version}.zip
Source2:        https://github.com/Blasphemer/blasphemer/releases/download/v%{version}/blasphdm-%{version}.zip
BuildArch:      noarch
BuildRequires:  unzip

%description
Blasphemer aims to create a free content package for the Heretic engine,
with a theme of metal-inspired dark fantasy.

%prep
%setup -Tcq -a0 -a2

%build
# Game data files. Nothing to build!

%install
mkdir -p "%{buildroot}/%{_datadir}/doom"
cp -av *.wad "%{buildroot}/%{_datadir}/doom/"

%files
%{_datadir}/doom/

%changelog
* Sun Feb 12 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.1.8
  * Added Ghoul (Mummy), replacing the previous deer demon.
  * Added Harpy (Imp), replacing the previous lost soul.
  * Added Ogre (Maulotaurus).
  * Added Morphed Eye (Chicken).
  * Added Unknown (Lich), replacing Freedoom's cacodemon.
  * Textures: added archways variations
- Added Deathmatch maps
* Sun Oct 31 2021 Matthias Mailänder <mailaender@opensuse.org>
- Update to version 0.1.7
  * Added an additional episode
  * This release is officially single player and death match ready
  * New maps were added
  * A lot new texture, sprites and sounds
* Tue Jul  4 2017 jengelh@inai.de
- Add new repository home (no new tar releases yet)
* Sun Jul 10 2016 jengelh@inai.de
- Summary mismatch with description fixed
* Sun Jul 10 2016 mailaender@opensuse.org
- initial packaging of version 0.1.5
